<template>
  <base-layout>
    <template #header>
      Grady
    </template>

    <template #sidebar-content>
      <v-list dense>
        <v-list-item
          v-for="(item, i) in generalNavItems"
          :key="i"
          :to="item.route"
        >
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title :id="item.tagId">
              {{ item.name }}
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      <v-divider />
      <slot name="above-subscriptions" />
      <subscription-list
        v-if="!mini"
        :sidebar="true"
      />
      <feedback-label-tab v-if="!mini" />
      <slot name="below-subscriptions" />
    </template>
  </base-layout>
</template>

<script>
import { UI } from '@/store/modules/ui'
import BaseLayout from '@/components/BaseLayout'
import SubscriptionList from '@/components/subscriptions/SubscriptionList'
import FeedbackLabelTab from '@/components/feedback_labels/FeedbackLabelTab.vue'

export default {
  name: 'TutorReviewerBaseLayout',
  components: {
    SubscriptionList,
    FeedbackLabelTab,
    BaseLayout },
  data () {
    return {
      generalNavItems: [
        {
          name: 'Overview',
          icon: 'home',
          route: '/home',
          tagId: 'overview'
        },
        {
          name: 'Feedback History',
          icon: 'feedback',
          route: '/feedback',
          tagId: 'feedback'
        },
        {
          name: 'Statistics',
          icon: 'bar_chart',
          route: '/statistics',
          tagId: 'statistics'
        }
      ]
    }
  },
  computed: {
    mini () { return UI.state.sideBarCollapsed },
  }
}
</script>

<style scoped>
</style>
